import { request } from 'umi';
import type { ExaminationRuleType } from './data.d';
import {TableListItem} from "../../../../admin/src/pages/course/option/data";


// 获取人员信息
export async function queryPersonInfo(params: {
  identity_id: number;
  person_id: number;
  //count: number;
}) {
  return request('/dsideal_yy/person/getPersonInfo', {
    params,
  });
}

// /dsideal_yy/ypt/personal/changePwd修改密码
export async function changePwd(data: { [key: string]: any }, options?: { [key: string]: any }) {
  return request('/dsideal_yy/ypt/personal/changePwd', {
    data,
    method: 'POST',
    requestType: "form",
    ...(options || {}),
  });
}
